fr.enssat.BoulderDash.models

## Class MagicWallModel

- java.lang.Object
- - fr.enssat.BoulderDash.models.DisplayableElementModel
  - - fr.enssat.BoulderDash.models.MagicWallModel

    public class MagicWallModel
    extends DisplayableElementModel

MagicWallModel Represents the magic wall.

Since:
  2015-06-19
Author:
  Colin Leverger <me@colinleverger.fr>

### Constructor Summary

Constructors
Constructor and Description
`MagicWallModel()` Class constructor

### Method Summary

Methods
`void` `update(long time)` Function to animate the sprite

### Methods inherited from class fr.enssat.BoulderDash.models.DisplayableElementModel

`getCollideSound, getGroupName, getPathToSprite, getPriority, getSprite, getSpriteName, getStateValue, grabSprite, isAnimate, isConvertible, isDestructible, isFalling, isImpactExplosive, isMoving, loadSprite, setAnimate, setCollideSound, setConvertibleValue, setFalling, setImpactExplosive, setPriority, setSprite`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MagicWallModel

    public MagicWallModel()

Class constructor

### Method Detail

#### update

    public void update(long time)

Function to animate the sprite

Overrides:
  `update` in class `DisplayableElementModel`
Parameters:
  `time` - Current time in milliseconds